declare compatibility with FF 6